# Class TribbleException.InternalCodecException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.tribble.TribbleException
htsjdk.tribble.TribbleException.InternalCodecException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `TribbleException`

public static class TribbleException.InternalCodecException extends TribbleException

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class TribbleException

`TribbleException.CorruptedIndexFile, TribbleException.FeatureFileDoesntExist, TribbleException.InternalCodecException, TribbleException.InvalidDecodeLine, TribbleException.InvalidHeader, TribbleException.MalformedFeatureFile, TribbleException.TabixReaderFailure, TribbleException.UnableToCreateCorrectIndexType, TribbleException.UnableToReadIndexFile`

## Constructor Summary

Constructors
Constructor
Description
`InternalCodecException(String message)`

## Method Summary

### Methods inherited from class TribbleException

`getMessage, setSource`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalCodecException

public InternalCodecException(String message)